let app=getApp();
//替换成开发者后台设置的安全域名
let domain = app.globalData.domain;
let getTopicListUrl = domain + "/dingding/getTopicList";
Page({
  data: {
      message:null,
      topicStr:""
  },
  
  
  onReady() {
    // 页面加载完成
  },
  onLoad:function(query){
     var message={};
    message['messageName']=query.messageName;
    message['conferenceName'] = query.conferenceName;
    message['messageCompere'] = query.messageCompere;
    message['topicList'] = query.topicList;
    message['startTime'] = query.startTime;
    message['endTime'] = query.endTime;
    message['department'] = query.department;
    message['messageContent'] = query.messageContent;
    message['configValueIdString'] = query.configValueIdString;
    
     this.setData({
       message

     })
           var _this=this;
      dd.httpRequest({
        url: getTopicListUrl,
        method: 'POST',
        data: {
         mid:query.mid
        },
        dataType: 'json',
        success: function(res) {
          console.log('success----议题', res)
          var topicStr = _this.data.topicStr;
         var  topicList= res.data.result;
          for(var i=0;i<topicList.length;i++){
            //for( var j=1; j<topicList.length; j++ ){
              topicStr += " " + '(' + (i+1) + ')、' + topicList[i].topicName +"  "
            //}
          }
            console.log('topicStr',topicStr);
          _this.setData({

            topicStr
          });
         
        },
        fail: function(res) {
          console.log("httpRequestFail---", res)
          //   dd.alert({ content: JSON.stringify(res) });
        },
        complete: function(res) {
          dd.hideLoading();
        }

      });

  },
  onShow() {
  
  },
 
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onPullDownRefresh() {
    // 页面被下拉
  },
  onReachBottom() {
    // 页面被拉到底部
  },
  onShareAppMessage() {
    // 返回自定义分享信息

  },
});
